# OpenLayers.Tile.WFS

Instances of OpenLayers.Tile.WFS are used to manage the image tiles used by various layers. Create a new image tile with the OpenLayers.Tile.WFS constructor.

#### Inherits from

- OpenLayers.Tile

Summary

OpenLayers.Tile.WFS | Instances of OpenLayers.Tile.WFS are used to manage the image tiles used by various layers.
Properties |
features | {Array(OpenLayers.Feature)} list of features in this tile
url | {String}
request | {OpenLayers.Request.XMLHttpRequest}
Functions |
destroy | nullify references to prevent circular references and memory leaks
clear | Clear the tile of any bounds/position-related data so that it can be reused in a new location.
draw | Check that a tile should be drawn, and load features for it.
loadFeaturesForRegion | Abort any pending requests and issue another request for data.
requestSuccess | Called on return from request succcess.
addResults | Construct new feature via layer featureClass constructor, and add to this.features.
destroyAllFeatures | Iterate through and call destroy() on each feature, removing it from the local array

### Properties

### features

{Array(OpenLayers.Feature)} list of features in this tile

### url

{String}

### request

{OpenLayers.Request.XMLHttpRequest}

### Functions

### destroy

> destroy: function()

nullify references to prevent circular references and memory leaks

### clear

> clear: function()

Clear the tile of any bounds/position-related data so that it can be reused in a new location.

### draw

> draw:function()

Check that a tile should be drawn, and load features for it.

### loadFeaturesForRegion

> loadFeaturesForRegion:function( | success,
> | failure | )

Abort any pending requests and issue another request for data.

Input are function pointers for what to do on success and failure.

#### Parameters

success | {function}
failure | {function}

### requestSuccess

> requestSuccess:function( | request | )

Called on return from request succcess. Adds results via layer.addFeatures in vector mode, addResults otherwise.

#### Parameters

request | {OpenLayers.Request.XMLHttpRequest}

### addResults

> addResults: function( | results | )

Construct new feature via layer featureClass constructor, and add to this.features.

#### Parameters

results | {Object}

### destroyAllFeatures

> destroyAllFeatures: function()

Iterate through and call destroy() on each feature, removing it from the local array

Features are combinations of geography and attributes.
Standard-compliant (W3C) cross-browser implementation of the XMLHttpRequest object.

> destroy: function()

nullify references to prevent circular references and memory leaks

> clear: function()

Clear the tile of any bounds/position-related data so that it can be reused in a new location.

> draw:function()

Check that a tile should be drawn, and load features for it.

> loadFeaturesForRegion:function( | success,
> | failure | )

Abort any pending requests and issue another request for data.

> requestSuccess:function( | request | )

Called on return from request succcess.

> addResults: function( | results | )

Construct new feature via layer featureClass constructor, and add to this.features.

> destroyAllFeatures: function()

Iterate through and call destroy() on each feature, removing it from the local array
Instances of OpenLayers.Tile.WFS are used to manage the image tiles used by various layers.
This is a class designed to designate a single tile, however it is explicitly designed to do relatively little.
Close